namespace Eco.Mods.TechTree
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using Eco.Gameplay.Blocks;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.Components.Auth;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Economy;
    using Eco.Gameplay.Housing;
    using Eco.Gameplay.Interactions;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Minimap;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Property;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Gameplay.Pipes.LiquidComponents;
    using Eco.Gameplay.Pipes.Gases;
    using Eco.Gameplay.Systems.Tooltip;
    using Eco.Shared;
    using Eco.Shared.Math;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Shared.View;
    using Eco.Shared.Items;
    using Eco.Gameplay.Pipes;
    using Eco.World.Blocks;
    
    [Serialized]    
    [RequireComponent(typeof(PropertyAuthComponent))]
    [RequireComponent(typeof(MinimapComponent))]                
    [RequireComponent(typeof(SolidGroundComponent))]            
    public partial class APGenObject : 
        WorldObject    
    {
        public override string FriendlyName { get { return "A P Gen"; } } 


        protected override void Initialize()
        {
            this.GetComponent<MinimapComponent>().Initialize("Misc");                                 


        }

        public override void Destroy()
        {
            base.Destroy();
        }
       
    }

    [Serialized]
    public partial class APGenItem :
        WorldObjectItem<APGenObject> 
    {
        public override string FriendlyName { get { return "A P Gen"; } } 
        public override string Description  { get { return  "Not sure why you would have this or want to place it, but it just generates pollution."; } }

        static APGenItem()
        {
            
        }

    }


    public partial class APGenRecipe : Recipe
    {
        public APGenRecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<APGenItem>(),
            };

            this.Ingredients = new CraftingElement[]
            {
            };
            this.CraftMinutes = new ConstantValue(); 
            this.Initialize("A P Gen", typeof(APGenRecipe));
            CraftingComponent.AddRecipe(typeof(Object), this);
        }
    }
}